小编典典

如何使用 go get 导入特定版本的包?

go

来自Node我曾经node_modules通过告诉从控制台或什至直接从控制台npm安装该版本的 lib 来将供应商库的特定版本安装到项目文件夹 ( ) 的环境package.json,如下所示:

$ npm install express@4.0.0

然后我曾经在我的项目中导入那个版本的包:

var express = require('express');

现在,我想对go. 我怎样才能做到这一点?是否可以安装特定版本的软件包?如果是这样,使用集中式$GOPATH,如何导入一个版本而不是另一个版本?

我会做这样的事情:

$ go get github.com/wilk/uuid@0.0.1
$ go get github.com/wilk/uuid@0.0.2

但是,我如何在导入过程中有所作为?


阅读 51

收藏
2021-11-17

共1个答案

小编典典

Go 1.11 将有一个名为 go modules 的功能,您可以简单地添加一个版本的依赖项。按着这些次序:

go mod init .
go mod edit -require github.com/wilk/uuid@0.0.1
go get -v -t ./...   
go build
go install 

这是有关该主题的更多信息 - https://github.com/golang/go/wiki/Modules

2021-11-17